Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

Get CA

Prev Next

Available in Classic and VPC

Get the CA details.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /api/v1/ca/{caTag}

Request headers

For information about the headers common to all CA APIs, see CA request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
caTag String Required CA tag value

Request example

The following is a sample request.

curl --location --request GET 'https://pca.apigw.ntruss.com/api/v1/ca/********-********' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json'

Response

The following describes the response format.

Response body

The following describes the response body.

Field Type Required Description
code String - Response code
msg String - Response message
data Object - Response result
data.caInfo Object - CA information
data.caInfo.signingCount Number - No. of certificates signed by CA
data.caInfo.caType String - CA type
  • PRIVATE_ROOT | PRIVATE_SUB
data.caInfo.caId Number - CA identifier
data.caInfo.statusUpdateDate String - Latest status change date and time
  • Timestamp format
data.caInfo.destroyDate String - Deletion date and time
  • Timestamp format
data.caInfo.alias String - CA name
data.caInfo.memo String - CA memo
data.caInfo.nrn String - CA identification value
  • NRN (Ncloud Resource Names): naming rule for NAVER Cloud Platform resources
data.caInfo.urlInfo Object - URL information
data.caInfo.urlInfo.ocsp Array - Online Certificate Status Protocol (OCSP) URL
data.caInfo.urlInfo.crl Array - Certificate revocation list (CRL) URL
data.caInfo.urlInfo.ca Array - CA URL
data.caTag String - CA tag value
data.rgstDate Number - Registration date and time
  • Timestamp format
data.status String - CA status
  • ACTIVE | DEACTIVATED | DESTROYING
    • ACTIVE: enabled
    • DEACTIVATED: disabled
    • DESTROYING: scheduled for deletion
data.caCertInfo Object - CA certificate information
data.caCertInfo.commonName String - Common name
data.caCertInfo.contry String - Standard country code
data.caCertInfo.issueName String - Issued CA name
data.caCertInfo.notAfterDate Long - Certification expiration date and time
  • Timestamp format
data.caCertInfo.publicKeyAlgorithm String - Encryption algorithm
data.caCertInfo.notBeforeDate Long - Certification validity start date and time
  • Timestamp format
data.caCertInfo.locality String - City name
data.caCertInfo.stateProvince String - State/province or region name
data.caCertInfo.organicationUnit String - Department name
data.caCertInfo.certPem String - CA certificate (PEM)
data.caCertInfo.chainPem String - Certificate chain (PEM)
data.caCertInfo.signatureAlgorithm String - Signature algorithm
data.caCertInfo.serialNo String - Certificate serial number
data.caCertInfo.caCertId Long - Certification identifier
data.caCertInfo.organization String - Organization name

Response status codes

For information about the HTTP status codes common to all CA APIs, see CA response status codes.

Response example

The following is a sample example.

{
    "code": "SUCCESS",
    "msg": "Success",
    "data": {
        "caInfo": {
            "signingCount": 0,
            "caType": "PRIVATE_ROOT",
            "caId": 17***,
            "statusUpdateDate": null,
            "destroyDate": null,
            "alias": "CA001",
            "nrn":"nrn:PUB:PrivateCA::****:CA/****",
            "memo": "",
            "urlInfo": {
                "ocsp": [],
                "crl": [
                    "https://pca.apigw.ntruss.com/ext/********-********/crl"
                ],
                "ca": [
                    "https://pca.apigw.ntruss.com/ext/********-********/ca"
                ]
            },
            "caTag": "********-********",
            "rgstDate": 1721105242000,
            "status": "ACTIVE"
        },
        "caCertInfo": {
            "commonName": "name001",
            "country": "",
            "issuerName": "name001",
            "notAfterDate": 2036465242000,
            "publicKeyAlgorithm": "RSA",
            "notBeforeDate": 1721105212000,
            "locality": "",
            "stateProvince": "",
            "organizationUnit": "",
            "certPem": "-----BEGIN CERTIFICATE-----\n{Certificate}\n-----END CERTIFICATE-----",
            "chainPem": "-----BEGIN CERTIFICATE-----\n{CA Chain}\n-----END CERTIFICATE-----",
            "signatureAlgorithm": "SHA256withRSA",
            "serialNo": "**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**",
            "caCertId": 17726,
            "organization": ""
        }
    }
}